Index: /extensions/GMaps/language/el_GR/description.txt
===================================================================
--- /extensions/GMaps/language/el_GR/description.txt	(revision 17244)
+++ /extensions/GMaps/language/el_GR/description.txt	(revision 17244)
@@ -0,0 +1,1 @@
+Εμφάνιση GoogleMaps στη σελίδα εικόνας
Index: /extensions/GMaps/language/el_GR/index.php
===================================================================
--- /extensions/GMaps/language/el_GR/index.php	(revision 17244)
+++ /extensions/GMaps/language/el_GR/index.php	(revision 17244)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/GMaps/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/GMaps/language/el_GR/plugin.lang.php	(revision 17244)
+++ /extensions/GMaps/language/el_GR/plugin.lang.php	(revision 17244)
@@ -0,0 +1,108 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['To install this plugin, you need to install Advanced Metadata %s before'] = 'Για να εγκαταστήσετε αυτό το πρόσθετο, πρέπει πρώτα να εγκαταστήσετε το πρόσθετο Advanced Metadata %s';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Για να εγκαταστήσετε αυτό το πρόσθετο, πρέπει πρώτα να εγκαταστήσετε το πρόσθετο Grum Plugin Classes %s';
+$lang['gmaps_0_picture'] = 'Δεν υπάρχουν φωτογραφίες στην εν λόγω γεωγραφική περιοχή';
+$lang['gmaps_1_picture'] = '1 φωτογραφία';
+$lang['gmaps_action_was_stopped'] = 'Η δράση διακόπηκε για τους εξής λόγους:';
+$lang['gmaps_add_a_new_association'] = 'Προσθήκη νέας συσχέτισης';
+$lang['gmaps_add_a_new_kmlFile'] = 'Προσθήκη νέου αρχείου KML/KMZ';
+$lang['gmaps_add_a_new_map'] = 'Προσθέστε ένα χάρτη';
+$lang['gmaps_add_geographic_area'] = 'Προσθέστε μια γεωγραφική περιοχή';
+$lang['gmaps_amd_warning_basic'] = 'Προσοχή! <br><br> To Πρόσθετο Advanced Metadata λειτουργεί στη λειτουργία «βασικό» λειτουργία: οι χάρτες που συνδέονται με τις κατηγορίες δεν μπορεί να εμφανιστούν με αυτόν τον τρόπο.';
+$lang['gmaps_amd_warning_inactive'] = 'Προσοχή! <br><br> To Πρόσθετο Advanced Metadata %s δεν φαίνεται να έχει εγκατασταθεί / ενεργοποιηθεί: οι χάρτες δεν μπορούν να εμφανιστούν μέχρι να εγκατασταθεί και ενεργοποιηθεί.';
+$lang['gmaps_and'] = 'και';
+$lang['gmaps_applyForAllTheGallery'] = 'Όλες οι γκαλερί';
+$lang['gmaps_apply_subcat'] = 'Εφαρμογή σε υπο-κατηγορίες';
+$lang['gmaps_apply_zoomLevel_max'] = 'Εφαρμόστε ένα μέγιστο επίπεδο ζουμ';
+$lang['gmaps_apply'] = 'Εφαρμόστε';
+$lang['gmaps_associate_category_maps'] = 'Συσχέτηση Χαρτών';
+$lang['gmaps_auto'] = 'Αυτόματα';
+$lang['gmaps_cancel'] = 'Ακύρωση';
+$lang['gmaps_category'] = 'Κατηγορία';
+$lang['gmaps_choose_geographic_area'] = 'Επιλέξτε την γεωγραφική περιοχή';
+$lang['gmaps_config_map'] = 'Ρύθμιση χάρτη';
+$lang['gmaps_config_saved'] = 'Οι Ρυθμίσεις αποθηκεύτηκαν ';
+$lang['gmaps_config'] = 'Διαμόρφωση';
+$lang['gmaps_date'] = 'Ημερομηνία';
+$lang['gmaps_deleteAssoc'] = 'Διαγραφή σύνδεσης';
+$lang['gmaps_deleteKml'] = 'Διαγραφή KML / KMZ αρχείου';
+$lang['gmaps_deleteMap'] = 'Διαγραφή χάρτη';
+$lang['gmaps_delete'] = 'Διαγραφή';
+$lang['gmaps_dimensions'] = 'Διαστάσεις';
+$lang['gmaps_displayTypeIC'] = 'Να εμφανίζεται στη σελίδα της κατηγορίας (lightbox)';
+$lang['gmaps_displayTypeIP'] = 'Να εμφανίζεται στην σελίδα μιας φωτογραφίας (lightbox)';
+$lang['gmaps_displayTypeMP'] = 'Να εμφανίζεται στην σελίδα μιας φωτογραφίας (ως μεταδεδομένα)';
+$lang['gmaps_displayTypeShortIC'] = 'Κατηγορία (lightbox)';
+$lang['gmaps_displayTypeShortIP'] = 'Φωτογραφία (lightbox)';
+$lang['gmaps_displayTypeShortMP'] = 'Φωτογραφία (μεταδεδομένων)';
+$lang['gmaps_displayType'] = 'Εμφάνιση τύπου';
+$lang['gmaps_display_hidden'] = 'Κρυφό';
+$lang['gmaps_display_type_cannot_be_changed'] = 'Ο χάρτης είναι για την ώρα συνδεδεμένος, ο τύπος εμφάνισης δεν μπορεί να τροποποιηθεί';
+$lang['gmaps_display_visible'] = 'Ορατό';
+$lang['gmaps_east'] = 'Ανατολή';
+$lang['gmaps_edit'] = 'Επεξεργασία';
+$lang['gmaps_error_code_aksf01'] = 'Ένα άγνωστο σφάλμα έχει συμβεί ... :-/';
+$lang['gmaps_error_code_aksf02'] = 'Παρουσιάστηκε σφάλμα κατά την αποθήκευση αρχείων';
+$lang['gmaps_error_code_aksf10'] = 'Ένα αρχείο με το ίδιο όνομα χρησιμοποιείται ήδη';
+$lang['gmaps_file_is_not_kml_kmz'] = 'Η επέκταση του αρχείου δεν είναι έγκυρη! Μόνο αρχεία KML και KMZ γίνονται δεκτά.';
+$lang['gmaps_file_required'] = 'Απαιτείται επιλογή ενός αρχείου!';
+$lang['gmaps_file_size'] = 'Μέγεθος αρχείου';
+$lang['gmaps_file'] = 'Αρχείο';
+$lang['gmaps_force_display'] = 'Εξαναγκασμός να εμφανίζεται ο χάρτης ακόμη και αν δεν υπάρχουν φωτογραφίες με γεωγραφικές συντεταγμένες';
+$lang['gmaps_geographic_coords_between'] = 'Οι Γεωγραφικές συντεταγμένες είναι μεταξύ:';
+$lang['gmaps_geolocation'] = 'Γεωγραφικός προσδιορισμός';
+$lang['gmaps_googleMapNavigationControl_-1'] = 'Κανένα';
+$lang['gmaps_googleMapNavigationControl_0'] = 'Αυτόματο';
+$lang['gmaps_googleMapNavigationControl_1'] = 'Μικρό';
+$lang['gmaps_googleMapNavigationControl_2'] = 'Android';
+$lang['gmaps_googleMapNavigationControl_3'] = 'Μεγάλο';
+$lang['gmaps_googleMapNavigationControl'] = 'Έλεγχος επιπέδου ζουμ';
+$lang['gmaps_googleMapScaleControl'] = 'Κλίμακα';
+$lang['gmaps_googleMapStreetView'] = 'Εμφάνιση του ελέγχου Street View ';
+$lang['gmaps_googleMapTypeControl_-1'] = 'Κανένα';
+$lang['gmaps_googleMapTypeControl_0'] = 'Αυτόματο';
+$lang['gmaps_googleMapTypeControl_1'] = 'Οριζόντιο μενού';
+$lang['gmaps_googleMapTypeControl_2'] = 'Αναδυόμενο μενού';
+$lang['gmaps_googleMapTypeControl'] = 'Εμφάνιση ελέγχου';
+$lang['gmaps_googleMapType_hybrid'] = 'Υβρίδιο';
+$lang['gmaps_googleMapType_roadmap'] = 'Χάρτη Πορείας';
+$lang['gmaps_googleMapType_satellite'] = 'Δορυφόρος';
+$lang['gmaps_googleMapType_terrain'] = 'Έδαφος';
+$lang['gmaps_gpc_not_up_to_date'] = 'Είναι απαραίτητο για το πρόσθετο ότι η έκδοση %s του <i>Grum Plugin Classes</i> είναι εγκατεστημένο. 
+Επί του παρόντος, η έκδοση %s έχει εγκατασταθεί: παρακαλώ να ενημερώσετε με την νέα έκδοση του πρόσθετου <i>Grum Plugin Classes</i>.';
+$lang['gmaps_height'] = 'Ύψος';
+$lang['gmaps_i_boundkml'] = 'Ρυθμίστε το μέγεθος του χάρτη για να δείτε την πλήρη διαδρομή';
+$lang['gmaps_i_boundmap'] = 'Ρυθμίστε το μέγεθος του χάρτη για να δείτε όλα τα στοιχεία';
+$lang['gmaps_i_centermap'] = 'Κεντράρετε το χάρτη';
+$lang['gmaps_i_show_this_picture_in'] = 'Εμφάνιση αυτής τη φωτογραφίας στην κατηγορία:';
+$lang['gmaps_icon_info'] = 'Αν το θέμα έχει ήδη μια εικόνα με τις ίδιες διαστάσεις με μια επιλεγμένη, θα εφαρμοστεί πρώτα αυτή';
+$lang['gmaps_interface_dimensions_a'] = 'Ρυθμίστε το μέγεθος του παραθύρου';
+$lang['gmaps_interface_dimensions_f'] = 'Σταθερό';
+$lang['gmaps_kml_file_access'] = 'Για να εμφανιστεί στο χάρτη, τα KML / KMZ αρχεία πρέπει να είναι προσβάσιμα από τους διακομιστές της Google.';
+$lang['gmaps_kml_file_management'] = 'Διαχείριση ενός KML / KMZ αρχείου';
+$lang['gmaps_kml_file_none'] = 'Κανένα';
+$lang['gmaps_kml_file_selected'] = 'Επιλέξτε ανάμεσα στα διαχειριζόμενα αρχεία';
+$lang['gmaps_kml_file_url'] = 'Είσοδος σε μια διεύθυνση URL';
+$lang['gmaps_kml_files_management'] = 'Διαχείριση αρχείων KML / KMZ ';
+?>