Index: /extensions/SmartAlbums/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/uk_UA/plugin.lang.php	(revision 17256)
+++ /extensions/SmartAlbums/language/uk_UA/plugin.lang.php	(revision 17257)
@@ -21,23 +21,18 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['%d photo'] = '%d фотографія';
-$lang['%d photos'] = '%d фотографій';
-$lang['%d photos associated to album %s'] = '%s фотографії, пов\'язані з альбомом %s';
-$lang['can cause slowdowns on admin pages'] = 'може привести до уповільнення роботи на сторінках адміністратора';
-$lang['Add a SmartAlbum'] = 'Додати смарт-альбом';
+$lang['%d photo'] = '%d зображення';
+$lang['%d photos'] = '%d зображень';
+$lang['%d photos associated to album %s'] = '%s зображення, пов\'язані з альбомом %s';
 $lang['Add filters here'] = 'Додати фільтр тут';
 $lang['Added after'] = 'Додано після';
 $lang['Added before'] = 'Додано до';
 $lang['Added on'] = 'Додано';
-$lang['All SmartAlbums'] = 'Всі смарт-альбоми';
+$lang['All SmartAlbums'] = 'Всі Смарт-Альбоми';
 $lang['All these tags'] = 'Всі ці теґи';
 $lang['Count'] = 'Перерахувати';
 $lang['Created after'] = 'Створено після';
 $lang['Created before'] = 'Створено до';
-$lang['Created on'] = 'Створено';
-$lang['date filter'] = 'фільтр дати';
 $lang['Date string is malformed'] = 'Невірний порядок дати';
 $lang['Don\'t show this message again'] = 'Не показувати це повідомлення знову';
-$lang['limit filter'] = 'обмежити кількість фільтром';
 $lang['Limit must be an integer'] = 'Кількість має бути цілим числом';
 $lang['No filter selected'] = 'Вибрані без фільтру';
@@ -45,14 +40,39 @@
 $lang['None of these tags'] = 'Жоден з цих теґів';
 $lang['One of these tags'] = 'Один з цих теґів';
-$lang['Only SmartAlbums are displayed on this page'] = 'Тільки смарт-альбоми відображаються на цій сторінці';
+$lang['Only SmartAlbums are displayed on this page'] = 'Тільки Смарт-Альбоми відображаються на цій сторінці';
 $lang['Only these tags'] = 'Тільки ці теґи';
-$lang['Regenerate photos list of all SmartAlbums'] = 'Відновіть фотографії список всіх смарт-альбомів';
-$lang['Regenerate photos list of this SmartAlbum'] = 'Відновити фотографії списку ціього смарт-альбому';
+$lang['Regenerate photos list of all SmartAlbums'] = 'Відновіть список зображення всіх Смарт-Альбомів';
+$lang['Regenerate photos list of this SmartAlbum'] = 'Відновити список зображення цього Смарт-Альбому';
 $lang['SmartAlbum added'] = 'Смарт-альбом додано';
 $lang['SmartAlbum deleted'] = 'Смарт-альбом видалено';
-$lang['tags filter'] = 'фільтр теґв';
-$lang['This album is a SmartAlbum'] = 'Цей альбом є смарт-альбомом';
-$lang['To order albums please go the main albums management page'] = 'Щоб упорядкувати основні альбоми перейдіть на <a href="admin.php?page=cat_list">сторінку управління</a>';
+$lang['This album is a SmartAlbum'] = 'Цей альбом є Смарт-Альбомом';
 $lang['Update albums on file upload'] = 'Оновлення альбомів на завантаження файлів';
-$lang['You can\'t use more than one limit'] = 'Ви не можете використовувати більше одного';
+$lang['create a new SmartAlbum'] = 'Створити новий Смарт-Альбом';
+$lang['SmartAlbums are considered private for everyone, and a user can see it\'s content only if available in another album he has access to.'] = 'Смарт-Альбоми вважаються приватними для всіх, і користувач може побачити зміст тільки якщо зміст доступний в ще одному альбомі в якому він має доступ.';
+$lang['Bellow'] = 'Bellow';
+$lang['Exclude SmartAlbums from permissions management'] = 'Виключити Смарт-Альбоми від дозволів управління';
+$lang['For "Is (not) in", separate each author by a comma'] = 'Для "Є в (Немає)", відокремити кожного автора через кому';
+$lang['Hits must be an integer'] = 'Перегляди мають бути цілим числом';
+$lang['To order albums please go the main albums <a href="%s">management page</a>'] = 'Щоб замовити альбоми перейдіть основні альбоми <a href="%s">сторінка управління</a>';
+$lang['You can\'t use more than one level filter'] = 'Ви не можете використовувати більше одного рівня фільтра';
+$lang['You can\'t use more than one limit filter'] = 'Ви не можете використовувати більше одного обмеження фільтра';
+$lang['can cause slowdowns'] = 'може викликати уповільнення';
+$lang['limit_filter'] = 'Макс. кількість зображень';
+$lang['Doesn\'t begin with'] = 'Не починати з';
+$lang['Doesn\'t contain'] = 'Не містить';
+$lang['Doesn\'t end with'] = 'Не закінчуються';
+$lang['Ends with'] = 'Закінчується на';
+$lang['Filters'] = 'Фільтри';
+$lang['Hits'] = 'Переглядів';
+$lang['Is'] = 'Є';
+$lang['Is in'] = 'Є в';
+$lang['Is not'] = 'Немає';
+$lang['Is not in'] = 'Немає в';
+$lang['Max. number of photos'] = 'Макс. кількість зображень';
+$lang['Name is empty'] = 'Ім\'я порожнє';
+$lang['Rating score must be an integer'] = 'Рейтинговий бал повинен бути цілим числом';
+$lang['Above'] = 'Вище';
+$lang['Author is empty'] = 'Автор порожній';
+$lang['Begins with'] = 'Починається з';
+$lang['Contains'] = 'Містить';
 ?>