Index: /trunk/language/pt_PT/help/cat_modify.html
===================================================================
--- /trunk/language/pt_PT/help/cat_modify.html	(revision 17263)
+++ /trunk/language/pt_PT/help/cat_modify.html	(revision 17264)
@@ -50,77 +50,62 @@
 
 </ul>
-<p><strong>(*)</strong> Atenção: Verifique estas triagem que podem dar resultados não previstos.</p>
+<p><strong>(*)</strong> Atenção: Verifique estas triagens que podem dar resultados não previstos.</p>
 
 
 <h3>Representante</h3>
 
-<p>The album representative is the thumbnail displayed on the main page (<span class="pwgScreen">category.php</span>) to represent
-the album when
-it contains only sub-albums and no direct photo (just as the root album).</p>
-photo of a album :</p>
+<p>O representante de um álbum é a miniatura na página principal (<span class="pwgScreen">category.php</span>) para representar o álbum quando  só contem sob-álbuns e nenhuma foto directa (como à raiz).</p>
+
+<p>Existe 4 modos diferentes de escolher o representante de um álbum :</p>
 
 <ul>
 
-  <li><span class="pwgScreen">Photo page</span>: one of the action buttons let you set the current photo as the representative for the
-  displayed album. This button is available only for administrators.</li>
+  <li><span class="pwgScreen"> Página das fotos</span>: um dos botões de acção permite escolher a foto corrente como representante do álbum. Este botão só é acessível aos administradores.</li>
 
-  <li><span class="pwgScreen">Modify informations about a photo</span> in
-  administration. This screen can be reached from <span
-  class="pwgScreen">picture.php</span> or <span class="pwgScreen">Batch
-  management</span> in <em>unit mode</em>. See the help of this screen for
-  details.</li>
+  <li><span class="pwgScreen">Modificar as informações de uma foto</span> na administração. Este ecrã pode ser atingido à partir de <span
+  class="pwgScreen">picture.php</span> ou <span class="pwgScreen">Gestão de lotes</span> no <em>modo unitário </em>. Veja a ajuda de este ecra para detalhes.</li>
 
-  <li><span class="pwgScreen">Administration &raquo; Albums &raquo; Properties,
-  Representative</span>. See the help of this screen for details.</li>
+  <li><span class="pwgScreen"> Administração &raquo; Álbuns &raquo; Propriedades,
+  Representante</span>. Veja a ajuda de este ecra para detalhes.</li>
 
-  <li><span class="pwgScreen">Edit album</span> (the present screen).</li>
+  <li><span class="pwgScreen"> Editar um álbum </span> (o presente ecrã).</li>
 
 </ul>
 
-<p>The choice of a representative depends on the 
-<code>allow_random_representative</code> configuration parameter (see <span
+<p>A escolha de um representante depende do parâmetro de configuração <code>allow_random_representative</code> (ver <span
 class="filename">include/config_default.inc.php</span>).</p>
 
-<p>In default mode (<code>allow_random_representative</code> set to false),
-each album containing at least one element is represented by a fixed
-element. Once set (at album creation), the representative changes only
-when an administrator ask for it. If the representative is not appropriate,
-you can ask to <strong>Find a new representant by random</strong>.</p>
+<p>Por defeito (<code>allow_random_representative</code> a falso),
+cada álbum contendo ao menos uma foto é representado pelo um elemento fixo. após fixado (à criação do álbum), o representante muda unicamente  quando o administrador o pedir. Se o representante não convir, pode pedir para <strong>Encontrar um novo representante ao calha</strong>.</p>
 
-<p>If the <code>allow_random_representative</code> configuration parameter is
-set to true, a category containing photos may have no fixed
-representant. Just use <strong>Delete representant</strong> button.</p>
+<p>Se o parâmetro de configuração <code>allow_random_representative</code> esta posicionado em true, o álbum contendo fotos pode não ter um representante fixo. Utilize o botão <strong>Suprimir representante </strong>.</p>
 
-<p>If the album contains only sub-albums and no photo, it can nonetheless be represented by any element thanks to <span class="pwgScreen">Modify
-informations about a photo</span> screen. The only option on the current screen
-is the <strong>Delete representant</strong> button.</p>
+<p>Se o álbum só conter sob-álbuns e nenhuma foto, pode todavia ser representado por qualquer foto graças ao ecrã <span class="pwgScreen">Modificar as informações de uma foto</span>. A única opção no ecrã corrente é o botão <strong>Suprimir o representante</strong>.</p> 
 
-<h3>Link all album photos to a new album</h3>
+<h3>Associar todas as fotos de um álbum à outro album</h3>
 
 <ul>
 
-<li><strong>Virtual album name</strong>: Name of the new album to be created, 
-all photos of the current category will be linked to the new one.</li>
+<li><strong>Nome virtual do álbum </strong>: Nome do novo álbum para criar, todas as fotos do álbum serão-lhe associadas.</li>
 
-<li><strong>Parent album</strong>: Where the new album will be, 
-leave empty to create it at root.</li>
+<li><strong>Álbum pai</strong>: onde o novo álbum será criado, deixe vazio para criar o álbum à raiz.</li>
 
 </ul>
 
-<h3>Link all album photos to existing albums</h3>
+<h3>Associar todas as fotos a um álbum existente</h3>
 
 <ul>
 
-<li><strong>Albums</strong>: Choose the destination album.</li>
+<li><strong>Álbuns</strong>: Escolher o álbum de destinação.</li>
 
 </ul>
 
-<h3>Send an information email to group members</h3>
+<h3>Enviar um email de informação aos membros de um grupo</h3>
 
 <ul>
 
-<li><strong>Group</strong>: recipients group</li>
+<li><strong>Grupo</strong>: grupo de destinatários </li>
 
-<li><strong>Mail content</strong>: Free text to send to them.</li>
+<li><strong> conteúdo do mail</strong>: Texto livre para lhe enviar.</li>
 
 </ul>  