Index: /trunk/language/th_TH/admin.lang.php
===================================================================
--- /trunk/language/th_TH/admin.lang.php	(revision 17265)
+++ /trunk/language/th_TH/admin.lang.php	(revision 17266)
@@ -886,3 +886,37 @@
 $lang['Permission granted for groups'] = 'สิทธิ์นี้อนุญาตสำหรับกลุ่ม';
 $lang['Permission granted for users'] = 'สิทธิ์นี้อนุญาตสำหรับผู้ใช้งาน';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'ป้ายชื่อ "%s" นี้ซ้ำกับ "%s"';
+$lang['include photos with lower privacy level'] = 'รวมถึงภาพถ่ายที่มีระดับความเป็นส่วนตัวต่ำ';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'ผู้เข้าชมต้องเข้าสู่ระบบถึงจะมีสิทธิเข้าชมอัลบั้มนี้';
+$lang['This album contains %d photos, added between %s and %s.'] = 'อัลบั้มนี้มี %d รูปถ่าย เข้ามาระหว่าง %s และ %s';
+$lang['pending validation'] = 'รอการตรวจสอบ';
+$lang['registered users'] = 'ผู้ใช้ที่ลงทะเบียน';
+$lang['simple visitors'] = 'ผู้เข้าชมทั่วไป';
+$lang['top left corner'] = 'มุมซ้ายด้านบน';
+$lang['top right corner'] = 'มุมขวาด้านบน';
+$lang['The original image quality must be a number between %d and %d'] = 'คุณภาพของภาพต้นฉบับจะต้องเป็นตัวเลขระหว่าง %d และ %d';
+$lang['The original maximum height must be a number between %d and %d'] = 'ความสูงของภาพจะต้องเป็นตัวเลขระหว่าง %d และ %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'ความกว้างของภาพจะต้องเป็นตัวเลขระหว่าง %d และ %d';
+$lang['apply automatic sort order'] = 'ใช้การเรียงลำดับอัตโนมัติ';
+$lang['custom'] = 'กำหนดเอง';
+$lang['modified'] = 'ได้ถูกเปลี่ยนแปลง';
+$lang['middle'] = 'กึ่งกลาง';
+$lang['This album contains %d photos, added on %s.'] = 'อัลบั้มนี้มีรูปถ่าย %d รูป, อัพโหลดเมื่อ %s';
+$lang['any visitor can see this album'] = 'ผู้เข้าชมทุกคนสามารถเห็นอัลบั้มนี้ได้';
+$lang['bottom left corner'] = 'มุมซ้ายด้านล่าง';
+$lang['bottom right corner'] = 'มุมขวาด้านล่าง';
+$lang['cancel manual order'] = 'ยกเลิกคำสั่งด้วยตนเอง';
+$lang['create a new site'] = 'สร้างที่อยู่ไหม่';
+$lang['X Repeat'] = 'X ทำซ้ำ';
+$lang['Y Position'] = 'ตำแหน่ง Y';
+$lang['You can activate only one mobile theme.'] = 'คุณสามารถเปิดใช้งานรูปแบบเพียงหนึ่งชุดสำหรับมือถือ';
+$lang['Zoom'] = 'ขยาย';
+$lang['add a new watermark'] = 'เพิ่มลายน้ำใหม่';
+$lang['administrators'] = 'ผู้ดูแลระบบ';
+$lang['Watermark'] = 'ภาพลายน้ำ';
+$lang['Web Form'] = 'ฟอร์มทางเว็บ';
+$lang['With no album'] = 'กับที่ไม่มีอัลบั้ม';
+$lang['With no tag'] = 'กับที่ไม่มีป้ายชื่อ';
+$lang['With no virtual album'] = 'กับที่ไม่มีอัลบั้ม';
+$lang['X Position'] = 'ตำแหน่ง X';
 ?>