Index: /extensions/Register_FluxBB/trunk/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/Register_FluxBB/trunk/language/el_GR/plugin.lang.php	(revision 17267)
+++ /extensions/Register_FluxBB/trunk/language/el_GR/plugin.lang.php	(revision 17268)
@@ -146,3 +146,20 @@
 $lang['Title_Tab'] = 'Register_FluxBB - Έκδοση:';
 $lang['Title'] = 'Register FluxBB';
+$lang['save_config'] = 'Οι ρυθμίσεις αποθηκεύτηκαν';
+$lang['error_config_guest'] = 'ΣΦΑΛΜΑ: Το όνομα του λογαριασμού επισκέπτη του FluxBB είναι λάθος!';
+$lang['error_config_admin2'] = 'ΣΦΑΛΜΑ: Το όνομα του λογαριασμού του διαχειριστή του FluxBB είναι διαφορετική από εκείνη του Piwigo!Ελέγξτε τη διαμόρφωση του FluxBB φόρουμ σας και να μετονομάσετε το όνομα του διαχειριστή του λογαριασμού στο ίδιο με αυτό του Piwigo.';
+$lang['error_config_admin1'] = 'ΣΦΑΛΜΑ: όνομα χρήστη του διαχειριστή Piwigo είναι λάθος!';
+$lang['UAM_Bridge_advice'] = 'Το πρόσθετο UserAdvManager σας επιτρέπει να επιβάλλετε στα νέα μέλη να επικυρώνουν την εγγραφή τους πριν αποκτήσουν πρόσβαση σε όλη τη γκαλερί. Η συνδυασμένη χρήση αυτού του πρόσθετου με το Register_FluxBB μπορεί να κάνει το ίδιο και στο συνδεδεμένο φόρουμ: Τα νέα μέλη δεν μπορούν να ποστάρουν μέχρι να επικυρώσουν την εγγραφή τους στη γκαλερί. <br>
+Αυτή είναι η γενική διαδικασία που εφαρμόζεται:
+<br>
+-Στη διαχείριση του FluxBB φόρουμ σας, ορίστε τουλάχιστον δύο ομάδες χρηστών (για παράδειγμα: "validated" και no_validated").<br>
+-Δώστε την πρώτη ομάδα ("validated") τα δικαιώματα πρόσβασης που θέλετε στο φόρουμ σας και ορίστε το ως την προεπιλεγμένη ομάδα.<br>
+-Αφαιρέστε από τη δεύτερη ομάδα ("no_validated"), όλα τα δικαιώματα στο φόρουμ σας (τα μέλη αυτής της ομάδας μπορούν  μόνο ανάγνωση στο δημόσια θέματα).<br>
+-Εντοπίστε το αναγνωριστικό ID της δεύτερης ομάδας "no_validated".<br>
+- Βάλτε αυτό το ID στο πρόσθετο Register_FluxBB, ενεργοποιήστε τη γέφυρα και αποθηκεύστε τις ρυθμίσεις.
+<br>
+<b class="mod"><u>Σημαντικές Σημειώσεις:</u></b>
+<br>
+Εάν χρησιμοποιείτε ήδη παλαιότερες εκδόσεις του Register_FluxBB, οι λογαριασμοί του Piwigo που συνδέονται με την γκαλερί και με το FluxBB φόρουμ δεν θα επηρεαστούν από τη γεφύρωση. Μόνο νέα μέλη θα επηρεαστούν μετά την ενεργοποίηση της γέφυρας.<b><u>Ο επανασυγχρονισμός Λογαριασμών θα είναι άκυρη μια λειτουργία.</u></b><br>
+Ομοίως, αν δεν έχετε χρησιμοποιήσει ποτέ Register_FluxBB, τότε κατά την φάση μετανάστευσης λογαριασμών του Piwigo από τη γκαλερί σας στο FluxBB φόρουμ, δεν θα λάβει υπόψη την κατάσταση αν δεν έχουν επικυρωθεί ή όχι για τους λογαριασμούς κατά την έναρξη της φάσης μετανάστευσης.';
 ?>