Index: /extensions/LLGBO2/language/es_ES/description.txt
===================================================================
--- /extensions/LLGBO2/language/es_ES/description.txt	(revision 17268)
+++ /extensions/LLGBO2/language/es_ES/description.txt	(revision 17269)
@@ -1,1 +1,1 @@
-Uña del pulgar de demostración bajo botón. Agregue que la navegación sobre la imagen se parece a la Galería GBO 
+Este plugin permite modificar la presentación de la página de imágenes.
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 17268)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 17269)
@@ -6,30 +6,30 @@
 // +-----------------------------------------------------------------------+
 $lang['submit'] = 'Validar';
-$lang['Title'] = 'Look like GBo';
-$lang['Howto'] = 'Este plugin permite modificar la presentaciÃ³n de la pÃ¡gina llena de imÃ¡genes.';
-$lang['Step1_Title'] = 'ConfiguraciÃ³n de Plugin ';
-$lang['Step2_Title'] = 'ConfiguraciÃ³n de la burbuja info';
+$lang['Title'] = 'Parecerse a GBo';
+$lang['Howto'] = 'Este plugin permite modificar la presentaciÃ³n de la pÃ¡gina "ImÃ¡gen".';
+$lang['Step1_Title'] = 'ConfiguraciÃ³n del Plugin ';
+$lang['Step2_Title'] = 'ConfiguraciÃ³n del globo informante';
 $lang['Step3_Title'] = 'ConfiguraciÃ³n del marco';
-$lang['Step4_Title'] = 'ParÃ¡metros de la burbuja info';
+$lang['Step4_Title'] = 'Visualiza/Esconde el encabezamiento de cada pagina';
 $lang['llgbo_tooltip'] = 'Infobulles especÃ­fico (miniaturas de las fotos) al sobrevuelo de los botones:';
-$lang['llgbo_exifunderbt'] = 'Fija los EXTEJOS al sobrevuelo del botÃ³n :';
+$lang['llgbo_exifunderbt'] = 'Globos informantes para datos Exif al sobrevuelo del botÃ³n :';
 $lang['llgbo_frame']='Fija un marco blanco alrededor de la imagen :';
-$lang['llgbo_header'] = 'Administrar la fijaciÃ³n de la marea ';
-$lang['llgbo_maintain_header'] = 'Conservar la marea sobre las pÃ¡ginas siguientes :';
+$lang['llgbo_header'] = 'Administrar la visualizaciÃ³n del encabezamiento';
+$lang['llgbo_maintain_header'] = 'Conservar el encabezamiento sobre las pÃ¡ginas siguientes :';
 $lang['llgbo_usemap'] = 'AÃ±ade la navegaciÃ³n sobre la imagen :';
-$lang['llgbo_usemap_thumb'] = 'Fija las miniaturas en el momento de la navegaciÃ³n sobre la imagen :';
-$lang['llgbo_info'] = '     (^_^) Sus parÃ¡metros son registrados !';
-$lang['llgbo_title_frame'] = 'Fijar el tÃ­tulo de la imagen sobre el marco';
-$lang['llgbo_default_navthumb'] = 'Suprime la fijaciÃ³n estÃ¡ndar de las miniaturas de navegaciÃ³n :';
-$lang['save'] = 'Registrar';
-$lang['preview'] = 'Hacer visible';
-$lang['llgo_tooltip_width']= 'Anchura de la burbuja info';  
-$lang['llgo_tooltip_size']= 'Anchura del ribete de la burbuja info';  
-$lang['llgbo_tooltip_bordercolor']= 'Anchura del ribete de la burbuja info';
-$lang['llgbo_tooltip_backgroundcolor']= 'Color del fondo de la burbuja info';
-$lang['llgbo_tooltip_titlecolor'] = 'Color del tÃ­tulo de la burbuja info';
-$lang['llgbo_tooltip_color']= 'Color del texto de la burbuja info';
-$lang['llgo_global_setting'] = 'ParmÃ¨tres a generales de la pÃ¡gina picture de Piwigo';
-$lang['llgo_tooltip_setting'] = 'TÃ­tulo de la burbuja info';
+$lang['llgbo_usemap_thumb'] = 'Visualiza las miniaturas en el momento de la navegaciÃ³n sobre la imagen :';
+$lang['llgbo_info'] = '     (^_^) Sus parÃ¡metros estan registrados !';
+$lang['llgbo_title_frame'] = 'Visualizar el tÃ­tulo de la imagen sobre el marco';
+$lang['llgbo_default_navthumb'] = 'Elimina la visualizacion estÃ¡ndar de las miniaturas de navegaciÃ³n :';
+$lang['save'] = 'Guardar';
+$lang['preview'] = 'Visualizar';
+$lang['llgo_tooltip_width'] = 'Anchura del globo informante';
+$lang['llgo_tooltip_size'] = 'Anchura del borde del globo informante';
+$lang['llgbo_tooltip_bordercolor'] = 'Anchura del borde del globo informante';
+$lang['llgbo_tooltip_backgroundcolor'] = 'Color del fondo del globo informante';
+$lang['llgbo_tooltip_titlecolor'] = 'Color del tÃ­tulo del globo informante';
+$lang['llgbo_tooltip_color'] = 'Color del texto del globo informante';
+$lang['llgo_global_setting'] = 'ParmÃ¨tros generales de la pÃ¡gina picture de Piwigo';
+$lang['llgo_tooltip_setting'] = 'TÃ­tulo del globo informante';
 $lang['llgo_frame_setting'] = 'ParÃ¡metros del marco:';
 $lang['llgbo_frame_bdcolor0']= 'Linea 1 color : ';
@@ -49,41 +49,41 @@
 $lang['llgbo_frame_bdcolor14']= 'Linea 15 color : ';
 $lang['llgbo_frame_bdcolor15']= 'Linea 16 color : ';
-$lang['llgbo_frame_bdsize'] = 'anchura: ';
+$lang['llgbo_frame_bdsize'] = 'espezor: ';
 $lang['llgbo_M_frame'] = 'GestiÃ³n del marco';
-$lang['llgbo_M_tooltip'] = 'GestiÃ³n de de la burbuja info';
+$lang['llgbo_M_tooltip'] = 'GestiÃ³n del globo informante';
 $lang['llgbo_M_manage'] = 'ParamÃ©tros generales';
 $lang['llgbo_samples'] = 'Ejemplos : ';
 $lang['llgbo_frame']='Administrar un marco alrededor de la imagen :';
 $lang['llgbo_header']='Administrar la fijación de la marea ';
-$lang['llgbo_M_header'] = 'GestiÃ³n de la fijaciÃ³n de la marea';
-$lang['llgbo_header_home'] = 'FijaciÃ³n sobre la pÃ¡gina inicial';
-$lang['llgbo_header_category'] = 'FijaciÃ³n sobre la pÃ¡gina categorÃ­a';
-$lang['llgbo_header_category_filter_recent'] = 'FijaciÃ³n sobre la pÃ¡gina categorÃ­a (filtrada por reciente)';
-$lang['llgbo_header_category_flat'] = 'FijaciÃ³n sobre la pÃ¡gina categorÃ­a (a plato)';
-$lang['llgbo_header_most_visited'] = 'FijaciÃ³n sobre la pÃ¡gina ImÃ¡genes mÃ¡s vistas ';
-$lang['llgbo_header_best_rated'] = 'FijaciÃ³n sobre la pÃ¡gina Mejor valoradas ';
-$lang['llgbo_header_list'] = 'FijaciÃ³n sobre la pÃ¡gina SelecciÃ³n aleatoria ';
-$lang['llgbo_header_recent_pics'] = 'FijaciÃ³n sobre la pÃ¡gina Ãltimas imÃ¡genes aÃ±adidas ';
-$lang['llgbo_header_created_monthly_calendar'] = 'FijaciÃ³n sobre la pÃ¡gina Calendario';
-$lang['llgbo_header_tags'] = 'FijaciÃ³n sobre la pÃ¡gina Tags ';
-$lang['llgbo_header_search'] = 'FijaciÃ³n sobre la pÃ¡gina BÃºsqueda avanzada';
-$lang['llgbo_header_comments'] = 'FijaciÃ³n sobre la pÃ¡gina Comentarios';
-$lang['llgbo_header_about'] = 'FijaciÃ³n sobre la pÃ¡gina Acerca de';
-$lang['llgbo_header_notification'] = 'FijaciÃ³n sobre la pÃ¡gina NotificaciÃ³n RSS';
-$lang['llgbo_header_register'] = 'FijaciÃ³n sobre la pÃ¡gina RegÃ­strese ';
-$lang['llgbo_header_identification'] = 'FijaciÃ³n sobre la pÃ¡gina Identificarse';
-$lang['llgbo_header_favorites'] = 'FijaciÃ³n sobre la pÃ¡gina Mis favoritos';
-$lang['llgbo_header_recent_cats'] = 'FijaciÃ³n sobre la pÃ¡gina Ãltimas categorÃ­as ';
-$lang['llgbo_frame_sample']= 'Lista ejemplost ';
-$lang['previewsamples']= 'Fijar este ejemplo';
-$lang['llgbo_always_displayexif'] = 'Siempre fijar el METADATA:';
+$lang['llgbo_M_header'] = 'GestiÃ³n de la visualizacion de el encabezamiento';
+$lang['llgbo_header_home'] = 'VisualizaciÃ³n sobre la pÃ¡gina inicial';
+$lang['llgbo_header_category'] = 'VisualizaciÃ³n sobre la pÃ¡gina "categorÃ­a"';
+$lang['llgbo_header_category_filter_recent'] = 'VisualizaciÃ³n sobre la pÃ¡gina categorÃ­a (filtrada por reciente)';
+$lang['llgbo_header_category_flat'] = 'VisualizaciÃ³n sobre la pÃ¡gina categorÃ­a (llano)';
+$lang['llgbo_header_most_visited'] = 'VisualizaciÃ³n sobre la pÃ¡gina ImÃ¡genes mÃ¡s vistas ';
+$lang['llgbo_header_best_rated'] = 'VisualizaciÃ³n sobre la pÃ¡gina Mejor valoradas ';
+$lang['llgbo_header_list'] = 'VisualizaciÃ³n sobre la pÃ¡gina ImÃ¡genes al azar ';
+$lang['llgbo_header_recent_pics'] = 'VisualizaciÃ³n sobre la pÃ¡gina Ãltimas imÃ¡genes aÃ±adidas ';
+$lang['llgbo_header_created_monthly_calendar'] = 'VisualizaciÃ³n sobre la pÃ¡gina Calendario';
+$lang['llgbo_header_tags'] = 'VisualizaciÃ³n sobre la pÃ¡gina Tags ';
+$lang['llgbo_header_search'] = 'VisualizaciÃ³n sobre la pÃ¡gina BÃºsqueda avanzada';
+$lang['llgbo_header_comments'] = 'VisualizaciÃ³n sobre la pÃ¡gina Comentarios';
+$lang['llgbo_header_about'] = 'VisualizaciÃ³n sobre la pÃ¡gina "Acerca de"';
+$lang['llgbo_header_notification'] = 'VisualizaciÃ³n sobre la pÃ¡gina NotificaciÃ³n RSS';
+$lang['llgbo_header_register'] = 'VisualizaciÃ³n sobre la pÃ¡gina Registrarse ';
+$lang['llgbo_header_identification'] = 'VisualizaciÃ³n sobre la pÃ¡gina Identificarse';
+$lang['llgbo_header_favorites'] = 'VisualizaciÃ³n sobre la pÃ¡gina Mis favoritos';
+$lang['llgbo_header_recent_cats'] = 'VisualizaciÃ³n sobre la pÃ¡gina categorÃ­as recientes';
+$lang['llgbo_frame_sample'] = 'Lista de los ejemplos';
+$lang['previewsamples'] = 'Visualizar este ejemplo';
+$lang['llgbo_always_displayexif'] = 'Visualizar siempre los METADATOS:';
 /* TODO */$lang['Reset_To_Default'] = 'Restaurar los valores por defecto';
-/*TODO*/$lang['llgo_warning_setting'] = 'To use with Gally themes, the plugin cl_conflit must be installed';
-/*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated !';
-/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
-/*TODO*/$lang['llgbo_header_thePiwiShackControllerPage']= 'Display header on the plugin  PiwiShack Controller Page';
-$lang['llgbo_header_category_posted_monthly'] = 'FijaciÃ³n sobre la pÃ¡gina categorÃ­a opciÃ³n calendario';
-$lang['llgbo_header_picture'] = 'FijaciÃ³n sobre la pÃ¡gina Image';
-$lang['llgbo_header_additional_page'] = 'Mostrar paginas adicionales ';
+$lang['llgo_warning_setting'] = 'Para utilisar los temas "Gally", debe instalar el plugin "cl_conflit';
+$lang['llgbo_hdShadowbox'] = 'Compatibilidad de HD Shadowbox con la navigacion sobre imÃ¡genes. <br> el plugin HD Shadowbox debe estar activado !';
+$lang['llgbo_dispinshadowbox'] = 'Visualizacion en shadowbox --> ';
+$lang['llgbo_header_thePiwiShackControllerPage'] = 'VisualizaciÃ³n en la pagina de control del plugin  PiwiShack';
+$lang['llgbo_header_category_posted_monthly'] = 'VisualizaciÃ³n sobre la pÃ¡gina categorÃ­a opciÃ³n calendario';
+$lang['llgbo_header_picture'] = 'VisualizaciÃ³n sobre la pÃ¡gina Imagen';
+$lang['llgbo_header_additional_page'] = 'VisualizaciÃ³n sobre las paginas adicionales ';
 $lang['llgbo_title_frame_color'] = 'Color del titulo del cuadro ';
 ?>