Index: extensions/GMaps/language/es_ES/plugin.lang.php
===================================================================
--- extensions/GMaps/language/es_ES/plugin.lang.php	(revision 17333)
+++ extensions/GMaps/language/es_ES/plugin.lang.php	(revision 17358)
@@ -38,3 +38,118 @@
 $lang['gmaps_cancel'] = 'Cancelar';
 $lang['gmaps_category'] = 'Categoría';
+$lang['gmaps_properties_general'] = 'Propriedades';
+$lang['gmaps_properties_mapType'] = 'Gestión de visualización ';
+$lang['gmaps_properties_zoomLevel'] = 'Gestión del zoom';
+$lang['gmaps_release'] = 'r';
+$lang['gmaps_search'] = 'Buscar';
+$lang['gmaps_search_by_geographic_area'] = 'Buscar por región';
+$lang['gmaps_south'] = 'Sur';
+$lang['gmaps_view_map'] = 'Localizar la foto en el mapa';
+$lang['gmaps_warning'] = 'Advertencia';
+$lang['gmaps_west'] = 'Oeste';
+$lang['gmaps_width'] = 'Ancho';
+$lang['gmaps_y'] = 'Si';
+$lang['gmaps_zoomLevel'] = 'Nivel de zoom';
+$lang['gmaps_zoomLevel_max'] = 'Nivel maximo de zoom';
+$lang['gmaps_maps'] = 'Mapas';
+$lang['gmaps_maps_management'] = 'Administrador de mapas';
+$lang['gmaps_n'] = 'No';
+$lang['gmaps_name'] = 'Nombre';
+$lang['gmaps_nb_assoc'] = 'Asignaciones';
+$lang['gmaps_nb_pictures'] = '%s fotos';
+$lang['gmaps_north'] = 'Norte';
+$lang['gmaps_of_lat'] = 'de latitud';
+$lang['gmaps_of_lng'] = 'de longitud';
+$lang['gmaps_of_window_size'] = 'del tamaño de la ventana del navegador';
+$lang['gmaps_ok'] = 'Ok';
+$lang['gmaps_only_one_map_is_allowed_for_this_mode'] = 'Ajustes ya existen para esta asociación';
+$lang['gmaps_picture'] = 'Fotos';
+$lang['gmaps_pleaseConfirmDeletingAssoc'] = 'Por favor confirma que quiere eliminar esta asociación ';
+$lang['gmaps_pleaseConfirmKml'] = 'Por favor confirma que quiere eliminarlo';
+$lang['gmaps_pleaseConfirmKml_1'] = 'El archivo KML / KMZ será eliminado y todas las referencias se restablecerán.';
+$lang['gmaps_pleaseConfirmKml_2'] = 'Por favor confirma que quiere eliminarlo';
+$lang['gmaps_pleaseConfirmMetadataDelete_1'] = 'Mapa y todas las asociaciones dependientes serán eliminados.';
+$lang['gmaps_pleaseConfirmMetadataDelete_2'] = 'Por favor confirma que quiere eliminarlo';
+$lang['gmaps_popup_automatic_size'] = 'Mapas tamaño automático';
+$lang['gmaps_interface_dimensions_f'] = 'Fijado';
+$lang['gmaps_kml_file_access'] = 'Para mostrar en el mapa, los ficheros KML/KMZ deben estar accesible a los servidores de Google.';
+$lang['gmaps_kml_file_management'] = 'Administración de los ficheros KML/KMZ';
+$lang['gmaps_kml_file_none'] = 'Nada';
+$lang['gmaps_kml_file_selected'] = 'Seleccione entre los archivos bajo gestión';
+$lang['gmaps_kml_file_url'] = 'Entrar una URL';
+$lang['gmaps_kml_files_management'] = 'Administración de los ficheros KML/KMZ';
+$lang['gmaps_loading'] = 'Cargando...';
+$lang['gmaps_manage_assoc'] = 'Gestión de una asociación ';
+$lang['gmaps_map'] = 'Mapa';
+$lang['gmaps_mapType'] = 'Tipo de mapa';
+$lang['gmaps_map_assoc'] = 'Propriedades';
+$lang['gmaps_map_associate_kmlfile'] = 'Asociar un fichero KML/KMZ';
+$lang['gmaps_map_dimensions_are'] = 'Las dimensiones del mapa son:';
+$lang['gmaps_map_icon'] = 'Icono';
+$lang['gmaps_map_id'] = 'Mapa';
+$lang['gmaps_map_integration'] = 'Integracion en la categoria';
+$lang['gmaps_map_kmlfile'] = 'Archivo KML/KMZ';
+$lang['gmaps_map_marker'] = 'Aspecto del marcador';
+$lang['gmaps_map_title'] = ' Titulo';
+$lang['gmaps_googleMapNavigationControl_3'] = 'Grande';
+$lang['gmaps_googleMapScaleControl'] = 'Escala';
+$lang['gmaps_googleMapStreetView'] = 'Mostra el control "Street View"';
+$lang['gmaps_googleMapTypeControl'] = 'Muestra el control';
+$lang['gmaps_googleMapTypeControl_-1'] = 'Nada';
+$lang['gmaps_googleMapTypeControl_0'] = 'Automático';
+$lang['gmaps_googleMapTypeControl_1'] = 'Menú horizontal';
+$lang['gmaps_googleMapTypeControl_2'] = 'Menú contextual';
+$lang['gmaps_googleMapType_hybrid'] = 'Híbrido';
+$lang['gmaps_googleMapType_roadmap'] = 'Hoja de Ruta';
+$lang['gmaps_googleMapType_satellite'] = 'Satélite ';
+$lang['gmaps_googleMapType_terrain'] = 'Terreno';
+$lang['gmaps_gpc_not_up_to_date'] = 'Es necesario que la versión%s del plugin <i> Grum Plugin Classes</ i> este instalado.
+En la actualidad, la versión% s está instalado: por favor proceda con la versión de actualización del plugin <i> Grum Plugin clases </i>.';
+$lang['gmaps_height'] = 'Altura';
+$lang['gmaps_i_boundkml'] = 'Ajuste el tamaño del mapa para ver la vía completa';
+$lang['gmaps_i_boundmap'] = 'Ajuste el tamaño del mapa para ver todos los elementos';
+$lang['gmaps_i_centermap'] = 'Centro del mapa';
+$lang['gmaps_i_show_this_picture_in'] = 'Muestra esta foto el la categoria:';
+$lang['gmaps_icon_info'] = 'Si el tema ya tiene un icono con las mismas dimensiones que el seleccionado, se aplicara primero.';
+$lang['gmaps_interface_dimensions_a'] = 'Ajustar al tamaño de la vantana';
+$lang['gmaps_display_hidden'] = 'Esconder';
+$lang['gmaps_display_type_cannot_be_changed'] = 'Este mapa está asociado actualmente, el tipo de visualización no se puede modificar';
+$lang['gmaps_display_visible'] = 'Visible';
+$lang['gmaps_east'] = 'Este';
+$lang['gmaps_edit'] = 'Editar';
+$lang['gmaps_error_code_aksf01'] = 'Un error desconocido ha ocurrido ... :-/';
+$lang['gmaps_error_code_aksf02'] = 'Un error ha ocurrido guardando el fichero';
+$lang['gmaps_error_code_aksf10'] = 'Un fichero con el mismo nombre ya existe';
+$lang['gmaps_file'] = 'Fichero';
+$lang['gmaps_file_is_not_kml_kmz'] = 'La extension de este fichero es invalida! Solo se acceptan los fichero KML y KMZ ';
+$lang['gmaps_file_required'] = 'Seleccionar un fichero es obligatorio !';
+$lang['gmaps_file_size'] = 'Tamaño del fichero';
+$lang['gmaps_force_display'] = 'Forzar el mapa que se muestra, incluso si no hay fotos georeferenciadas';
+$lang['gmaps_geographic_coords_between'] = 'Las coordenadas geográficas están entre:';
+$lang['gmaps_geolocation'] = 'Geolocalización';
+$lang['gmaps_googleMapNavigationControl'] = 'Control de nivel de zoom';
+$lang['gmaps_googleMapNavigationControl_-1'] = 'Nada';
+$lang['gmaps_googleMapNavigationControl_0'] = 'Automatico';
+$lang['gmaps_googleMapNavigationControl_1'] = 'Pequeño';
+$lang['gmaps_googleMapNavigationControl_2'] = 'Android';
+$lang['To install this plugin, you need to install Advanced Metadata %s before'] = 'Para instalar este plugin, primero tiene que instalar, activar et configurar plugin Advanced Metadata% s';
+$lang['gmaps_amd_warning_basic'] = '¡Advertencia! <br> <br>  Plugin Advanced Metadata opera en modo \'básico\': mapas vinculados a las categorías no se pueden mostrar con este modo.';
+$lang['gmaps_amd_warning_inactive'] = '¡Advertencia! <br> <br>  Plugin Advanced Metadata %s no parece ser instalado / activado: los mapas no se puede mostrar hasta que esté instalado y activado.';
+$lang['gmaps_choose_geographic_area'] = 'Seleccione la zona geográfica';
+$lang['gmaps_config'] = 'Configuración';
+$lang['gmaps_config_map'] = 'Establecer un mapa';
+$lang['gmaps_config_saved'] = 'Configuración guardada';
+$lang['gmaps_date'] = 'Fecha';
+$lang['gmaps_delete'] = 'Eliminar';
+$lang['gmaps_deleteAssoc'] = 'Eliminar una asociación';
+$lang['gmaps_deleteKml'] = 'Eliminar los archivos KML/KMZ';
+$lang['gmaps_deleteMap'] = 'Eliminar mapa';
+$lang['gmaps_dimensions'] = 'Dimensiones';
+$lang['gmaps_displayType'] = 'Tipos de Display';
+$lang['gmaps_displayTypeIC'] = 'A visualizar en la página de una categoría (lightbox)';
+$lang['gmaps_displayTypeIP'] = 'A visualizar en la página de una foto (lightbox)';
+$lang['gmaps_displayTypeMP'] = 'A visualizar en la página de una foto (lightbox)';
+$lang['gmaps_displayTypeShortIC'] = 'Categoría (lightbox)';
+$lang['gmaps_displayTypeShortIP'] = 'Foto (lightbox)';
+$lang['gmaps_displayTypeShortMP'] = 'Foto (lightbox)';
 ?>